﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CONTRL' AND COLUMN_NAME = 'EFMA' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CONTRL_EFMA')
BEGIN 
    PRINT 'Creating default constraint DF_CONTRL_EFMA on table CONTRL' 
    ALTER TABLE [dbo].[CONTRL]
    ADD CONSTRAINT [DF_CONTRL_EFMA] DEFAULT ((0)) FOR [EFMA]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CONTRL' AND COLUMN_NAME = 'IEVT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CONTRL_IEVT')
BEGIN 
    PRINT 'Creating default constraint DF_CONTRL_IEVT on table CONTRL' 
    ALTER TABLE [dbo].[CONTRL]
    ADD CONSTRAINT [DF_CONTRL_IEVT] DEFAULT ((0)) FOR [IEVT]
END 
GO

